---
title: MediaKeys
slug: Web/API/MediaKeys
tags:
  - API
  - Audio
  - EncryptedMediaExtensions
  - Interface
  - Media
  - MediaKeys
  - NeedsExample
  - Reference
  - Video
---
<div>{{APIRef("EncryptedMediaExtensions")}}{{SeeCompatTable}}</div>

<p>The <strong><code>MediaKeys</code></strong> interface of <a href="/en-US/docs/Web/API/EncryptedMediaExtensions_API">EncryptedMediaExtensions API</a> represents a set of keys that an associated {{domxref("HTMLMediaElement")}} can use for decryption of media data during playback.</p>

<h2 id="Properties">Properties</h2>

<p>None.</p>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("MediaKeys.createSession()")}}</dt>
 <dd>Returns a new {{domxref("MediaKeySession")}} object, which represents a context for message exchange with a content decryption module (CDM).</dd>
 <dt>{{domxref("MediaKeys.setServerCertificate()")}}</dt>
 <dd>Returns a {{jsxref("Promise")}} to a server certificate to be used to encrypt messages to the license server.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">//TBD</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME', '#mediakeys-interface', 'MediaKeys')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeys")}}</p>
</div>
